All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::device_specific::index_tuple Struct Reference

`#include <forwards.h>`

## Public Member Functions

| index_tuple (std::string const &_i, std::string const &_bound0)
| index_tuple (std::string const &_i, std::string const &_bound0, std::string const &_j, std::string const &_bound1)

## Public Attributes

std::string | i
std::string | bound0
std::string | j
std::string | bound1

## Detailed Description

Definition at line 65 of file forwards.h.

## Constructor & Destructor Documentation

viennacl::device_specific::index_tuple::index_tuple | ( | std::string const & | _i,
|  | std::string const & | _bound0
| ) |  |

inline

Definition at line 67 of file forwards.h.

viennacl::device_specific::index_tuple::index_tuple | ( | std::string const & | _i,
|  | std::string const & | _bound0,
|  | std::string const & | _j,
|  | std::string const & | _bound1
| ) |  |

inline

Definition at line 68 of file forwards.h.

## Member Data Documentation

std::string viennacl::device_specific::index_tuple::bound0

Definition at line 70 of file forwards.h.

std::string viennacl::device_specific::index_tuple::bound1

Definition at line 72 of file forwards.h.

std::string viennacl::device_specific::index_tuple::i

Definition at line 69 of file forwards.h.

std::string viennacl::device_specific::index_tuple::j

Definition at line 71 of file forwards.h.

The documentation for this struct was generated from the following file:

- viennacl/device_specific/forwards.h